\version "2.11.35"

\include "orchestrallily/orchestrallily.ly"
\include "orchestrallily/oly_settings_names.ly"

EKnumber="EK-022"

\header { 
  title = "Benedictus sit Deus"
  subtitle = "Offertorium, KV 117 (66a = 47b)"
%   subsubtitle = "KV 117"
  composer = "Wolfgang Amadeus Mozart (1756-1791)"
  enteredby = "Reinhold Kainhofer"
  maintainer = "R. Kainhofer"
  maintainerEmail = "reinhold@kainhofer.com"
  lastupdated = "May 2009"
  copyright = \markup \column{ 
      \line { "2009, Edition Kainhofer, Vienna. Alle Rechte vorbehalten / All rights reserved / Printed in Austria."} 
      \line {"Die Ausgabe darf kopiert und ohne Einschränkungen aufgeführt werden. / May be copied and performed without restriction."}
  }
}

\include "deutsch.ly"

\orchestralScoreStructure #'(
; Part-combined staves for full score
  ("Fl" "GrandStaff" ("FlI" "FlII"))
  ("Wd" "StaffGroup" ("Fl"))
  ("Cor" "PartCombinedStaff" ("CorI" "CorII"))
  ("Tbe" "PartCombinedStaff" ("TbeI" "TbeII"))
  ("Br" "StaffGroup" ("Cor" "Tbe"))
; long score; no part-combined staves, but GrandStaves instead
  ("FlLong" "GrandStaff" ("FlI" "FlII"))
  ("WdLong" "StaffGroup" ("FlLong"))
  ("CorLong" "GrandStaff" ("CorI" "CorII"))
  ("TbeLong" "GrandStaff" ("TbeI" "TbeII"))
  ("BrLong" "StaffGroup" ("CorLong" "TbeLong"))
; Strings, they are the same in long and short full score  
  ("V" "GrandStaff" ("VI" "VII"))
  ("VaGroup" "GrandStaff" ("VaI" "VaII"))
  ("Vas" "SimultaneousMusic" ("Va" "VaGroup"))
  ("Str" "StaffGroup" ("V" "Vas"))
  ("VceB" "ParallelVoicesStaff" ("VcB" "FiguredBass"))
  ("VcBGroup" "StaffGroup" ("VcB"))
  ("BassoContinuo" "StaffGroup" ("VceB"))
  ("FullStr" "StaffGroup" ("V" "Vas" "VcB"))
; Choral score
  ("Solo" "SimultaneousMusic" ("SSolo"))
  ("Ch" "ChoirStaff" ("S" "A" "T" "B"))
; Organ score
; Full scores: Orchestral score and long score including organ
  ("ChStrQ" "SimultaneousMusic" ("Str" "Solo" "Ch" "VcBGroup"))
  ("OrchestralScore" "SimultaneousMusic" ("Wd" "Br" "Tim" "Str" "Solo" "Ch" "BassoContinuo"))
  ("LongScore" "SimultaneousMusic" ("WdLong" "BrLong" "Tim" "Str" "Solo" "Ch" "BassoContinuo"))
)
  
\orchestralVoiceTypes #'(
  ("FiguredBass" "FiguredBass")
)


% \include "deutsch.ly"



% TbeKey = {
%   \key c \major
%   \transposition c
% }
% TbeIKey = \TbeKey
% TbeIIKey = \TbeKey

CorKey = {
  \key c \major
  \transposition f
}
CorIKey = \CorKey
CorIIKey = \CorKey

% TimKey = {
%   \key c \major
% }



CorInstrumentName = \markup{\column{"Corno I,II" "in Fa/F"}}
CorIInstrumentName = \markup{\column{"Corno I" "in Fa/F"}}
CorIIInstrumentName = \markup{\column{"Corno II" "in Fa/F"}}
TbeInstrumentName = \markup{\column{"Trombe I,II" "in Do/C"}}
TbeIInstrumentName = \markup{\column{"Tromba I" "in Do/C"}}
TbeIIInstrumentName = \markup{\column{"Tromba II" "in Do/C"}}
TimInstrumentName = \markup{\column{"Timpani" "in Do/C"}}

%{SClef = \newOrOldClef #"treble" #"soprano"
AClef = \newOrOldClef #"treble" #"alto"
TClef = \newOrOldClef #"treble_8" #"tenor"%}
SClef = \clef #"soprano"
AClef = \clef #"alto"
TClef = \clef #"tenor"
SSoloClef = \SClef
TSoloClef = \TClef


\layout {
  \context { \Staff 
    \override VerticalAxisGroup #'minimum-Y-extent = #'(-3.5 . 3.5)
    \override VerticalAxisGroup #'remove-empty = ##f
  }
  \context { \Lyrics
    \override VerticalAxisGroup #'minimum-Y-extent = #'(-0.7 . 0.3)
  }
  \context { \Score
    \override BarNumber #'self-alignment-X = #0
%     \override BarNumber #'outside-staff-priority = #10
  }
}
